summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLaurent Pinchart <laurent.pinchart@ideasonboard.com>2017-03-01 01:01:03 +0200
committerLaurent Pinchart <laurent.pinchart@ideasonboard.com>2017-04-26 19:09:19 +0300
commita410195b43a5d69e60346b85b97b67f41b59382c (patch)
tree042bfac670a72ee5f6d200c83200104f025ff8f2
parentd6d7d83cc612d786d4211c0a73398e171580498c (diff)
tests: Don't perform HSV capture test on Gen3 hardware
The Gen3 VSP doesn't support HSV formats on the RPF or WPF. Skip the test. Signed-off-by: Laurent Pinchart <laurent.pinchart@ideasonboard.com>
-rwxr-xr-xtests/vsp-unit-test-0017.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/vsp-unit-test-0017.sh b/tests/vsp-unit-test-0017.sh
index bba6779..6034141 100755
--- a/tests/vsp-unit-test-0017.sh
+++ b/tests/vsp-unit-test-0017.sh
@@ -47,6 +47,10 @@ test_hsv_to_hsv() {
}
test_main() {
+ if [ $(vsp1_generation) != VSP1 ] ; then
+ exit 1
+ fi
+
for format in $formats ; do
test_rgb_to_hsv $format
test_hsv_to_hsv $format